aboutsummaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
authorAkinori Ito <aito@eie.yz.yamagata-u.ac.jp>2001-11-08 05:14:08 +0000
committerAkinori Ito <aito@eie.yz.yamagata-u.ac.jp>2001-11-08 05:14:08 +0000
commit68a07bf03b7624c9924065cce9ffa45497225834 (patch)
treec2adb06a909a8594445e4a3f8587c4bad46e3ecd /install.sh
downloadw3m-68a07bf03b7624c9924065cce9ffa45497225834.tar.gz
w3m-68a07bf03b7624c9924065cce9ffa45497225834.zip
Initial revision
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..562f91a
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,33 @@
+#! /bin/sh
+
+while :
+do
+ case $1 in
+ -m)
+ mode=$2
+ shift; shift
+ ;;
+ -*)
+ shift
+ ;;
+ *)
+ break
+ esac
+done
+
+if [ $# -lt 2 ]; then
+ echo "usage: $0 [-m mode] file1 file2"
+ exit 1
+fi
+
+file=$1
+dest=$2
+
+cp $file $dest
+if [ -n "$mode" ]; then
+ if [ -d $dest ]; then
+ chmod $mode $dest/$file
+ else
+ chmod $mode $dest
+ fi
+fi